## calibre 8.16.1+ds+~0.10.5

=== debian/changelog ===
calibre (8.16.1+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 8.16.1+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 06 Dec 2025 02:58:37 +0900
