## calibre 8.16.2+ds+~0.10.5

=== debian/changelog ===
calibre (8.16.2+ds+~0.10.5-2~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Dec 2025 09:32:45 -0800

calibre (8.16.2+ds+~0.10.5-2) unstable; urgency=medium

  * Rediff patches
  * Fix a regression in the previous release that broke calibredb catalog with
    non-EPUB catalog output formats. (Closes: #1122108)
  * Nicer error message when not passing caalog filename as first arg to
    calibredb catalog

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 08 Dec 2025 14:58:25 +0900

calibre (8.16.2+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 8.16.2+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 06 Dec 2025 14:08:18 +0900
