=== debian/rules ===
#!/usr/bin/make -f

TOPDIR=$(shell pwd)

# help for reproducible build
export LANG=C.UTF-8
export LC_ALL=C.UTF-8
export LC_CTYPE=C.UTF-8
export LC_MESSAGES=C.UTF-8
export LANGUAGE=

# building with python3
PYTHON=$(shell py3versions -d)
PYTHON_PATH=$(shell command -v $(PYTHON))
SETUP=$(PYTHON) setup.py

# build options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all

# display build commands while CMake build
export VERBOSE=1

# Set hash seed to Qt resource compiler output will deterministic one.
# See QHash class document on Qt document.
export QT_HASH_SEED=0

# Do all test by default
TEST_FLAGS =
CI_ENV =
DISABLE_FRAGILE_TEST =

# Disable fragile test in release build
ifneq ($(shell dpkg-parsechangelog --show-field=Distribution),UNRELEASED)
  DISABLE_FRAGILE_TEST = true
endif
# Disable fragile test in CI environment
ifeq ($(GITLAB_CI),true)
  DISABLE_FRAGILE_TEST = true
endif
ifeq ($(DISABLE_FRAGILE_TEST),true)
  include debian/buildd-options.mak
  CI_ENV += CI=true
endif

%:
	dh $@ --with=python3 --buildsystem=makefile

.PHONY: calibre_auto_test calibre_auto_install blhc-note

DEB_DH_GENCONTROL_ARGS = -- -Vpyqt:Version=$(shell dpkg-query --showformat='$${source:Version}' --show python3-pyqt6)

# podofo: marge CPPFLAGS into CFLAGS/CXXFLAGS for cmake build
DEB_PODOFO_CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

blhc-note:
#	# Add false-positive info for blhc(1) check
	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt6/mkspecs/features/data/dummy\.cpp'
	@echo 'blhc: ignore-line-regexp: .+ -dM -E -c /usr/share/cmake-[0-9\.]+/Modules/CMakeCXXCompilerABI\.cpp .+'
	@echo 'blhc: ignore-line-regexp: /usr/lib/qt6/libexec/moc .+\.cpp'

override_dh_auto_configure:
	env CFLAGS="$(CFLAGS) $(DEB_PODOFO_CPPFLAGS) -fPIC" CXXFLAGS="$(CXXFLAGS) $(DEB_PODOFO_CPPFLAGS) -fPIC" cmake -B podofo -S podofo -DPODOFO_BUILD_LIB_ONLY=TRUE -DPODOFO_BUILD_STATIC=TRUE

override_dh_auto_build: blhc-note
	cmake --build podofo --clean-first
	env PODOFO_INC_DIR=$(TOPDIR)/podofo/src/podofo PODOFO_LIB_DIR=$(TOPDIR)/podofo/src/podofo $(SETUP) build
	$(SETUP) liberation_fonts --system-liberation_fonts --path-to-liberation_fonts=/usr/share/fonts/truetype/liberation
	$(SETUP) gui
	$(SETUP) kakasi

# Invoke "calibre_auto_test" target with automatic "HOME" and "XDG_*" variables.
override_dh_auto_test:
	dh_auto_test -O--buildsystem=makefile -- -f debian/calibre-builder.mak test

calibre_auto_test:
	env TZ=UTC $(CI_ENV) $(SETUP) test $(TEST_FLAGS) --exclude-test-name=ajax_book
	env TZ=UTC $(CI_ENV) $(SETUP) test --test-name=ajax_book $(TEST_FLAGS)

override_dh_auto_install:
	dh_auto_install -O--buildsystem=makefile -- -f debian/calibre-builder.mak install

calibre_auto_install:
	mkdir -p  debian/tmp/usr/share/icons/hicolor
	mkdir -p  debian/tmp/usr/share/applications
	mkdir -p  debian/tmp/usr/share/mime/packages
	mkdir -p  debian/tmp/usr/share/zsh/vendor-completions
	env XDG_DATA_DIRS=$(CURDIR)/debian/tmp/usr/share CALIBRE_CONFIG_DIRECTORY=debian/tmp/config PODOFO_INC_DIR=$(TOPDIR)/podofo/src/podofo PODOFO_LIB_DIR=$(TOPDIR)/podofo/src/podofo $(SETUP) install --root=debian/tmp/usr
#
#	# not needed
	rm debian/tmp/usr/share/calibre/calibre-portable.*
	rm debian/tmp/usr/lib/python*/site-packages/init_calibre.py
	rmdir debian/tmp/usr/share/desktop-directories
#
#	# do not install developer's script
	rm    debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/update.py
	rmdir debian/tmp/usr/lib/calibre/calibre/devices/mtp/unix/upstream/
#	# Debian package "python3-tinycss" doesn't installs test code
	rm    debian/tmp/usr/lib/calibre/tinycss/tests/*.py
	rmdir debian/tmp/usr/lib/calibre/tinycss/tests/
#
#	# Remove source path name from pyuic6 outputs
	find debian/tmp/usr/lib/calibre/calibre/gui2 -name '*_ui.py' -print | xargs --no-run-if-empty sed --separate --file=debian/remove-ui-basepath.sed --in-place

override_dh_installman:
	debian/install-manpages.sh

override_dh_auto_clean:
	$(SETUP) build --clean
	$(SETUP) liberation_fonts --clean
	py3clean src/calibre/gui2
	$(SETUP) gui --clean
	$(SETUP) kakasi --clean
	py3clean setup src

override_dh_gencontrol:
	dh_gencontrol $(DEB_DH_GENCONTROL_ARGS)

# No need to touch "calibre-bin".
override_dh_python3:
	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym
