## calibre 9.1.0%2Bds%2B~0.10.5

=== debian/changelog ===
calibre (9.1.0+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 9.1.0+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 31 Jan 2026 22:35:13 +0900
