=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export LANGUAGE=
 
 # building with python3
-PYTHON=$(shell py3versions -d)
+PYTHON=python3.14
 PYTHON_PATH=$(shell command -v $(PYTHON))
 SETUP=$(PYTHON) setup.py
 
@@ -56,7 +56,7 @@
 #	# Add false-positive info for blhc(1) check
 	@echo 'blhc: ignore-line-regexp: \tCompiling form /.+\.ui'
 	@echo 'blhc: ignore-line-regexp: .+ -dM -E -o moc_predefs\.h /usr/lib/[^/]+/qt6/mkspecs/features/data/dummy\.cpp'
-	@echo 'blhc: ignore-line-regexp: .+ -dM -E -c /usr/share/cmake-[0-9\.]+/Modules/CMakeCXXCompilerABI\.cpp .+'
+	@echo 'blhc: ignore-line-regexp: .+ -w -dM -E /usr/share/cmake-[0-9\.]+/Modules/CMakeCXXCompilerABI\.cpp .+'
 	@echo 'blhc: ignore-line-regexp: /usr/lib/qt6/libexec/moc .+\.cpp'
 
 override_dh_auto_configure:
@@ -119,8 +119,3 @@
 # No need to touch "calibre-bin".
 override_dh_python3:
 	dh_python3 --no-package=calibre-bin --shebang=$(PYTHON_PATH)
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
