## calibre 9.2.0+ds+~0.10.5

=== debian/changelog ===
calibre (9.2.0+ds+~0.10.5-1) unstable; urgency=medium

  * Allow Python 3.14 and later
  * New upstream version 9.2.0+ds+~0.10.5
  * Rediff patches
  * Drop templite by upstream
  * Make verbose output while in file delete

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 07 Feb 2026 02:10:55 +0900
