=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
     poppler-utils,
     pyqt6-dev,
     pyqt6-dev-tools,
-    python3.14-dev,
+    python3.14-dev | python3-dev (>= 3.14),
     python3-apsw,
     python3-bs4,
     python3-chm,
