## calibre 9.2.1+ds+~0.10.5

=== debian/changelog ===
calibre (9.2.1+ds+~0.10.5-2build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Feb 2026 21:54:37 +0000

calibre (9.2.1+ds+~0.10.5-2) unstable; urgency=medium

  * Add pystache to replace templite

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 08 Feb 2026 12:50:22 +0900

calibre (9.2.1+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 9.2.1+ds+~0.10.5
  * Rediff patches
  * Drop unused python3-pyzstd from build-depends

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 08 Feb 2026 00:53:30 +0900
