=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: calibre
-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders:
     YOKOTA Hiroshi <yokota.hgml@gmail.com>,
     Martin Pitt <mpitt@debian.org>,
@@ -75,7 +76,7 @@
     python3-pyqt6.qttexttospeech,
     python3-pyqt6.qtwebengine,
     python3-pyqtbuild,
-    python3-pyzstd,
+    python3-pystache,
     python3-regex,
     python3-requests-toolbelt,
     python3-routes,
@@ -143,6 +144,7 @@
     python3-pyqt6.qttexttospeech,
     python3-pyqt6.qtwebengine,
     python3-pyqt6.sip,
+    python3-pystache,
     python3-regex,
     python3-routes,
     python3-six,
