## calibre 9.3.0+ds+~0.10.5

=== debian/changelog ===
calibre (9.3.0+ds+~0.10.5-1) unstable; urgency=medium

  [ dependabot[bot] ]
  * Bump pillow from 12.0.0 to 12.1.1.

  [ YOKOTA Hiroshi ]
  * Bump pillow from 12.0.0 to 12.1.1.
    Move a update patch to Debian-patch storage.
  * New upstream version 9.3.0+ds+~0.10.5
  * Rediff patches.
    Drop upstream/0030-Bump-pillow-from-12.0.0-to-12.1.1.patch: Upstream fixed

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 20 Feb 2026 17:42:09 +0900
