## calibre 9.3.1+ds+~0.10.5

=== debian/changelog ===
calibre (9.3.1+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 9.3.1+ds+~0.10.5
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 22 Feb 2026 15:31:57 +0900
