## calibre 9.4.0+ds+~0.10.5

=== debian/changelog ===
calibre (9.4.0+ds+~0.10.5-1) unstable; urgency=medium

  * New upstream version 9.4.0+ds+~0.10.5
  * Rediff patches
  * Drop libpostproc

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 27 Feb 2026 14:36:12 +0900
