=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: calibre
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
+Maintainer: Calibre maintainer team <team+calibre@tracker.debian.org>
 Uploaders:
     YOKOTA Hiroshi <yokota.hgml@gmail.com>,
     Martin Pitt <mpitt@debian.org>,
